Package org.apache.wiki.its.environment

# Class Env

java.lang.Object
org.apache.wiki.its.environment.Env

public class Env extends Object
Tests' environment values that can be overwritten through System properties.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LOGIN_JANNE_PASSWORD`
Janne's password.
`static final String`
`LOGIN_JANNE_USERNAME`
Janne's username.
`static final String`
`TESTS_BASE_URL`
Base url on which the functional tests are run.
`static final String`
`TESTS_CONFIG_BROWSER_SIZE`
Which size should start the browser with?.
`static final String`
`TESTS_CONFIG_DOWNLOADS_FOLDER`
Selenide tests download's folder.
`static final boolean`
`TESTS_CONFIG_HEADLESS`
Should the browser start on headless mode?
`static final String`
`TESTS_CONFIG_REPORTS_FOLDER`
Selenide tests reports' folder.
`static final long`
`TESTS_CONFIG_SEARCH_INDEX_WAIT`
Amount of time, in milliseconds, to wait for the search index tasks to complete.
`static final String`
`TESTS_CONFIG_WDM_TARGET_PATH`
Folder where the WebDriver will be downloaded.

## Constructor Summary

Constructors
Constructor
Description
`Env()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`setUp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TESTS_BASE_URL

public static final String TESTS_BASE_URL
Base url on which the functional tests are run. Default value is `https://jspwiki-wiki.apache.org`.

### TESTS_CONFIG_DOWNLOADS_FOLDER

public static final String TESTS_CONFIG_DOWNLOADS_FOLDER
Selenide tests download's folder. Default value is `./target/downloads`.

### TESTS_CONFIG_HEADLESS

public static final boolean TESTS_CONFIG_HEADLESS
Should the browser start on headless mode? Only for Firefox / Chrome. Default value is `false`.

### TESTS_CONFIG_REPORTS_FOLDER

public static final String TESTS_CONFIG_REPORTS_FOLDER
Selenide tests reports' folder. Default value is `./target/selenide`.

### TESTS_CONFIG_SEARCH_INDEX_WAIT

public static final long TESTS_CONFIG_SEARCH_INDEX_WAIT
Amount of time, in milliseconds, to wait for the search index tasks to complete. Default value is `1200`.

### TESTS_CONFIG_BROWSER_SIZE

public static final String TESTS_CONFIG_BROWSER_SIZE
Which size should start the browser with?. Default value is `1366x768`.

### TESTS_CONFIG_WDM_TARGET_PATH

public static final String TESTS_CONFIG_WDM_TARGET_PATH
Folder where the WebDriver will be downloaded. Default value is `./target/wdm`.

### LOGIN_JANNE_USERNAME

public static final String LOGIN_JANNE_USERNAME
Janne's username. Default value is `janne`.

### LOGIN_JANNE_PASSWORD

public static final String LOGIN_JANNE_PASSWORD
Janne's password. Default value is `myP@5sw0rd`.

## Constructor Details

### Env

public Env()

## Method Details

### setUp

public static void setUp()